"use strict";
const usage_1 = require("../actions/usage");
const fetch_configset_1 = require("../actions/fetch-configset");
const current_config_1 = require("../actions/current-config");
function pull(gitUrl) {
    if (!gitUrl) {
        throw usage_1.default();
    }
    try {
        const { name, path } = fetch_configset_1.fetchConfigSet(gitUrl, this.global, this.force);
        console.log('pull success: the config set is saved to %s', path);
        if (current_config_1.setCurrentConfigSet(name)) {
            return 0;
        }
        else {
            return 1;
        }
    }
    catch (e) {
        console.error(e.stack);
        console.error(`

the remote url is not a valid json-env storage: "${gitUrl}".
also maybe network error occurred, check logs above.`);
        return 1;
    }
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = pull;
//# sourceMappingURL=pull.js.map